export declare type GraphViewStyle = {
    /** canvas background */
    background: string;
    fontSize: number;
    /** node highlighted border corlor */
    highlightedForeground: string;
    node: {
        note: NodeStyle;
        unknown: NodeStyle | string;
        [key: string]: NodeStyle | string;
    };
    link: {
        regular?: string;
        highlighted?: string;
        lessened?: string;
    };
    hoverNodeLink: {
        highlightedDirection?: {
            inbound?: string;
            outbound?: string;
        };
    };
};
export declare type NodeStyle = {
    regular: string;
    highlighted?: string;
    lessened?: string;
};
export declare function getColorOnContainer(container: HTMLElement, name: any, fallback: any): string;
export declare function getDefaultColorOf(opts?: {
    container?: HTMLElement;
}): GraphViewStyle;
export declare function getNodeStyleByType(style: GraphViewStyle, type: string): NodeStyle;
